## libspf2 1.2.8~dfsg

=== perl/Makefile ===
# This Makefile is for the Mail::SPF_XS extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.17 (Revision: 1.133) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     ABSTRACT_FROM => q[SPF_XS.pm]
#     AUTHOR => q[Shevek <cpan@anarres.org>]
#     LIBS => [q[-L../src/libspf2/.libs -lspf2]]
#     NAME => q[Mail::SPF_XS]
#     OPTIMIZE => q[-DHAVE_CONFIG_H -Wall -g -O0]
#     PREREQ_PM => { Mail::SPF=>q[0.3] }
#     VERSION_FROM => q[SPF_XS.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl5/5.8.7/i686-linux/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = i686-pc-linux-gnu-gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = i686-pc-linux-gnu-gcc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.5.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.12-gentoo-r10
RANLIB = :
SITELIBEXP = /usr/lib/perl5/site_perl/5.8.7
SITEARCHEXP = /usr/lib/perl5/site_perl/5.8.7/i686-linux
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar
VENDORARCHEXP = /usr/lib/perl5/vendor_perl/5.8.7/i686-linux
VENDORLIBEXP = /usr/lib/perl5/vendor_perl/5.8.7


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
NAME = Mail::SPF_XS
NAME_SYM = Mail_SPF_XS
VERSION = 0.01
VERSION_MACRO = VERSION
VERSION_SYM = 0_01
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.01
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = 
PERLPREFIX = /usr
SITEPREFIX = /usr
VENDORPREFIX = /usr
INSTALLPRIVLIB = $(PERLPREFIX)/lib/perl5/5.8.7
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/lib/perl5/site_perl/5.8.7
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/lib/perl5/vendor_perl/5.8.7
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl5/5.8.7/i686-linux
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl5/site_perl/5.8.7/i686-linux
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5/vendor_perl/5.8.7/i686-linux
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/share/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/share/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/lib/perl5/5.8.7
PERL_ARCHLIB = /usr/lib/perl5/5.8.7/i686-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = $(FIRST_MAKEFILE).old
MAKE_APERL_FILE = $(FIRST_MAKEFILE).aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl5/5.8.7/i686-linux/CORE
PERL = /usr/bin/perl5.8.7
FULLPERL = /usr/bin/perl5.8.7
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/lib/perl5/5.8.7/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.17
MM_REVISION = 1.133

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Mail/SPF_XS
BASEEXT = SPF_XS
PARENT_NAME = Mail
DLBASE = $(BASEEXT)
VERSION_FROM = SPF_XS.pm
OBJECT = $(BASEEXT)$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES = SPF_XS.xs
C_FILES  = SPF_XS.c
O_FILES  = SPF_XS.o
H_FILES  = 
MAN1PODS = 
MAN3PODS = SPF_XS.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DIRFILESEP)Config.pm $(PERL_INC)$(DIRFILESEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/Mail
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/Mail

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = SPF_XS.pm

PM_TO_BLIB = SPF_XS.pm \
	$(INST_LIB)/Mail/SPF_XS.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 1.42
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)'



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/lib/perl5/5.8.7/ExtUtils
XSUBPP = $(XSUBPPDIR)/xsubpp
XSPROTOARG = 
XSUBPPDEPS = /usr/lib/perl5/5.8.7/ExtUtils/typemap typemap $(XSUBPP)
XSUBPPARGS = -typemap /usr/lib/perl5/5.8.7/ExtUtils/typemap -typemap typemap
XSUBPP_EXTRA_ARGS = 


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(PERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(PERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(PERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');'
DOC_INSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(PERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist


# --- MakeMaker makemakerdflt section:
makemakerdflt: all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = Mail-SPF_XS
DISTVNAME = Mail-SPF_XS-0.01


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -fno-strict-aliasing -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm
OPTIMIZE = -DHAVE_CONFIG_H -Wall -g -O0
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# Mail::SPF_XS might depend on some other libraries:
# See ExtUtils::Liblist for details
#
EXTRALIBS = -L/home/shevek/c/libspf2/trunk/perl/../src/libspf2/.libs -lspf2
LDLOADLIBS = -L/home/shevek/c/libspf2/trunk/perl/../src/libspf2/.libs -lspf2
BSLOADLIBS = 
LD_RUN_PATH = /home/shevek/c/libspf2/trunk/perl/../src/libspf2/.libs


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest



# --- MakeMaker c_o section:

.c.i:
	i686-pc-linux-gnu-gcc -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc


# --- MakeMaker xs_c section:

.xs.c:
	$(PERLRUN) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(PERLRUN) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) $(INST_LIBDIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_ARCHAUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_AUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl5/5.8.7/i686-linux/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.7/i686-linux/CORE/perl.h $(INST_AUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl5/5.8.7/i686-linux/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.7/i686-linux/CORE/perl.h $(INST_LIBDIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl5/5.8.7/i686-linux/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.7/i686-linux/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/lib/perl5/5.8.7/i686-linux/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.7/i686-linux/CORE/perl.h $(INST_MAN3DIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:
BOOTSTRAP = $(BASEEXT).bs

# As Mkbootstrap might not write a file (if none is required)
# we use touch to prevent make continually trying to remake it.
# The DynaLoader only reads a non-empty file.
$(BOOTSTRAP): $(FIRST_MAKEFILE) $(BOOTDEP) $(INST_ARCHAUTODIR)$(DIRFILESEP).exists

## libspf2 1.2.9

=== debian/changelog ===
libspf2 (1.2.9-7) unstable; urgency=high

  * Add postinst scripts that replace old documentation directories (from
    before 1.2.9-5) in libspf2-dev, libspf2-2-dbg and spfquery with
    symlinks (Closes: #687862, #687863, #687864). Thanks to Salvatore
    Bonaccorso <carnil@debian.org>.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 23 Sep 2012 21:25:43 +0200

libspf2 (1.2.9-6) unstable; urgency=low

  * Rename ipv6-buffer-miscalculation.patch ipv6-bugs.patch. Include
    the following small IPv6-related patches from FreeBSD:
    * patch-src_libspf2_spf__compile.c
    * patch-src_libspf2_spf__interpret.c
    Already included was patch-src_libspf2_spf__expand.c.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 22 Jan 2012 22:45:04 +0100

libspf2 (1.2.9-5) unstable; urgency=low

  * Convert package to source format 3.0 (quilt).
  * Include text of BSD license in debian/copyright, as is now preferred.
  * Switch from CDBS to classic Debhelper, getting build flags from
    dpkg-buildflags "by hand".
  * Increase Debhelper compat level to 7.
  * Put docs in libspf2-2 and replace the other packages' doc directories
    with symlinks to that one.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 11 Nov 2011 22:13:50 +0100

libspf2 (1.2.9-4) unstable; urgency=low

  * Drop obsolete README.Debian-source; move non-obsolete info to
    libspf2-dev.README.Debian.
  * debian/libspf2.ver: Explicitly unhide certain special symbols that
    became hidden on the mips and mipsel architectures but nowhere else,
    causing a FTBFS.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 03 Oct 2009 21:29:19 +0200

libspf2 (1.2.9-3) unstable; urgency=high

  * ipv6_buffer_miscalculation.dpatch: Fix an abort() caused by
    miscalculating the size of an internal buffer when mail is received
    over IPv6. Thanks to Matthias Scheler <tron@netbsd.org>.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 13 Sep 2009 20:23:22 +0200

libspf2 (1.2.9-2) unstable; urgency=low

  * debian/rules: Correct version.
  * 01_private_glib_functions.dpatch: Avoid linking private glibc
    functions.
  * Simplify debian/*.install and exclude the libtool .la file from the
    -dev package. Set DEB_DH_INSTALL_SOURCEDIR accordingly.
  * Add ${misc:Depends} to Depends.
  * Add debug package.
  * Use ld version script to hide internal symbols.
  * Bump Standards-Version to 3.8.3.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 25 Aug 2009 00:15:01 +0200

libspf2 (1.2.9-1) unstable; urgency=high

  * New upstream release.
    - Drops non-dfsg Free IETF internet draft, so tarball no longer needs
      repacking
    + Fixes exploitable buffer overflow (LP: #287534)
    + Multiple fixes for improved RFC 4408 compliance
    + Update libspf2-2.symbols for new symbol
      + 20_spf_dns_include_std_headers.dpatch: Updated.
  * Thanks to Scott Kitterman.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 04 Nov 2008 21:14:31 +0100

libspf2 (1.2.8~dfsg-1) unstable; urgency=low

  * Merge changes from Ubuntu.
  * Fix and tweak library dependency information (shlibs as well as
    symbols).
  * Upgrade to Standards-Version: 3.8.0. Changes needed:
    + Add debian/README.source (§ 4.9).
  * Bring debian/copyright a bit more up-to-date.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 02 Nov 2008 12:29:51 +0100

libspf2 (1.2.8~dfsg-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #283920)
    - Fixes multiple memory leaks
    - CVE2008-2469 buffer overflows
    - Adds new documentation
    - Drop all patches except 20_spf_dns_include_std_headers.dpatch (included
      upstream)
    - Freshen 20_spf_dns_include_std_headers.dpatch
    - Update debian/rules for new release
  * Repack tarball to remove non-DFSG Free IETF draft
  * Added debian/libspf2-2.symbols and updated for new version
  * Drop README.Debian since it no longer applies.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 19 Oct 2008 01:00:13 -0400

libspf2 (1.2.5.dfsg-5) unstable; urgency=low

  * 43_new_explanation_url.dpatch: Bring default explanation up to date by
    referring to www.openspf.org instead of spf.pobox.com.
  * Add spfquery(1) manpage.
  * Fix format of copyright notice in debian/copyright.
  * Move upstream homepage URL to the new Homepage control field, rename
    VCS control fields, and update Standards-Version.
  * A few cosmetic adjustments including fixing the indentation of the
    1.2.5.dfsg-3 entry below (Closes: #465466).
  * New maintainer email address.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 18 Apr 2008 17:51:28 +0200

libspf2 (1.2.5.dfsg-4) unstable; urgency=low

  * Added 23_spfquery_ipv6.dpatch: Make spfquery accept IPv6 addresses
    (Closes: #440147). Thanks to Matthias Cramer.
  * 35_untabify_help.dpatch: Make --help output of utilities less ugly by
    converting tabs to spaces.

 -- Magnus Holmgren <magnus@kibibyte.se>  Wed, 05 Sep 2007 15:39:22 +0200

libspf2 (1.2.5.dfsg-3) unstable; urgency=low

  * 22_spfquery_fallback_segfault.dpatch: Fix fallback-related segfault in
    spfquery (Closes: #430414). Thanks to Robert Millan.
  * Correct debian/copyright (Closes: #433047). Thanks to Julian Mehnle.
  * A second patch from Robert split into three:
    * 40_permanent_include_errors.dpatch: Make permanent errors in
      processing an include: directive cause the parent evaluation to return
      a permanent error as well (Closes: #435139).
    * 41_none_not_neutral.dpatch: Use a diffent explanation for
      SPF_RESULT_NONE than the one for SPF_RESULT_NEUTRAL (Closes: #435140).
    * 42_empty_sender.dpatch: Use the HELO identity in MAIL FROM checks if
      the sender address has been set to the empty string (Closes: #431239).
  * debian/control: Add XS-Vcs-* fields.

 -- Magnus Holmgren <magnus@kibibyte.se>  Wed, 22 Aug 2007 17:13:27 +0200

libspf2 (1.2.5.dfsg-2) unstable; urgency=low

  * 21_spfquery_infininte_loop.dpatch: Fix infinite loop when giving
    unimplemented options to spfquery.


=== debian/control ===
Source: libspf2
Priority: optional
Section: libs
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), autotools-dev
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.kibibyte.se/libspf2/trunk
Vcs-Browser: http://svn.kibibyte.se/libspf2
Homepage: http://www.libspf2.org/

Package: libspf2-2
Section: libs
Architecture: any
Conflicts: libspf2-0
Replaces: libspf2-0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for validating mail senders with SPF
 libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
 protocol pair. libspf2 is a library which allows email systems such
 as Sendmail, Postfix, Exim, Zmailer and MS Exchange to check SPF
 records and make sure that the email is authorized by the domain name
 that it is coming from. This prevents email forgery, commonly used by
 spammers, scammers and email viruses/worms.

Package: libspf2-dev
Section: libdevel
Architecture: any
Depends: libspf2-2 (= ${binary:Version}), ${misc:Depends}
Description: Header and development libraries for libspf2
 libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
 protocol pair. libspf2 is a library which allows email systems such
 as Sendmail, Postfix, Exim, Zmailer and MS Exchange to check SPF
 records and make sure that the email is authorized by the domain name
 that it is coming from. This prevents email forgery, commonly used by
 spammers, scammers and email viruses/worms.

Package: libspf2-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libspf2-2 (= ${binary:Version}) | spfquery (= ${binary:Version}),
	 ${misc:Depends}
Description: library for validating mail senders with SPF (debugging symbols)
 libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
 protocol pair.
 .
 This package contains the debugging symbols.

Package: spfquery
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmail-spf-query-perl (<< 1:1.999.1-3)
Description: query SPF (Sender Policy Framework) to validate mail senders
 The Sender Policy Framework (SPF) is one part of the SPF/SRS protocol
 pair. SPF allows email systems such as Sendmail, Postfix, Exim,
 Zmailer and MS Exchange to check SPF records and make sure that the
 email is authorized by the domain name that it is coming from. This
 prevents email forgery, commonly used by spammers, scammers and email
 viruses/worms.
 .
 This package contains simple utilities that use libspf2 to test and 
 query SPF records.

=== debian/rules ===
#!/usr/bin/make -f

SOURCE_PACKAGE = libspf2
LIB_PACKAGE = libspf2-2

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  buildflags := --build=$(DEB_BUILD_GNU_TYPE)
else
  buildflags := --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

DEB_LDFLAGS_MAINT_APPEND = -Wl,--version-script=$(CURDIR)/debian/libspf2.ver
buildflags += $(shell DEB_LDFLAGS_MAINT_APPEND="$(DEB_LDFLAGS_MAINT_APPEND)" \
 dpkg-buildflags --export=configure)

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	dh_autotools-dev_updateconfig
	./configure --prefix=/usr $(buildflags)

build: build-arch
build-indep:
build-arch: build-arch-stamp
build-arch-stamp: config.status
	dh_testdir

	$(MAKE)

	touch "$@"

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_autotools-dev_restoreconfig
	dh_clean

install: build-arch
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-arch: install
	dh_testdir
	dh_testroot
	dh_install -a
#	Rename the `spfquery` tool for the alternatives system:
	mv debian/spfquery/usr/bin/spfquery debian/spfquery/usr/bin/spfquery.$(SOURCE_PACKAGE)
	mv debian/spfquery/usr/sbin/spfd debian/spfquery/usr/sbin/spfd.$(SOURCE_PACKAGE)
	dh_installdocs -a --link-doc=$(LIB_PACKAGE)
	dh_installchangelogs -a
	dh_installman -a
	dh_strip -a --dbg-package=$(LIB_PACKAGE)-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -V '$(LIB_PACKAGE) (>= 1.2.9)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch

get-orig-source:
	wget http://www.libspf2.org/spf/libspf2-1.2.9.tar.gz

.PHONY: build build-indep build-arch clean clean-patched binary-indep binary-arch binary install get-orig-source

## libspf2 1.2.10

=== debian/changelog ===
libspf2 (1.2.10-9) unstable; urgency=medium

  * Salvage package (Closes: #1124784)
  * Drop Vcs fields
  * d/rules: Drop get-orig-source target

 -- Bastian Germann <bage@debian.org>  Thu, 29 Jan 2026 13:19:47 +0100

libspf2 (1.2.10-8.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add perl-xs-dev to Build-Depends (Closes: #1102792)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 17 Jan 2026 10:25:21 +0100

libspf2 (1.2.10-8.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Allow building with Rules-Requires-Root: no. Closes: #1089372

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Dec 2024 12:57:23 +0100

libspf2 (1.2.10-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import RC fixes from Ubuntu  (Thanks, Michael Hudson-Doyle!)
    + d/rules: Update LIB_PACKAGE to libspf2-2t64. Closes: #1067204 and
      Closes: #1067664 (FTBFS at dh_installdocs -a --link-doc...)
    + d/patches/fix-include.patch: Include string.h in spf_utils.c to get
      a declaration for memset(). Closes: #1065792, #1066276

 -- Andreas Metzler <ametzler@debian.org>  Mon, 25 Mar 2024 11:38:43 +0100

libspf2 (1.2.10-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062635

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 18:49:46 +0000

libspf2 (1.2.10-8) unstable; urgency=medium

  * spf_compile.c-more-correct-size-of-ds_avail.patch: Fix potential
    integer overflow when checking available space for SPF macro string
    literal. May resolve #1053870.
  * Migrate to automatic dbgsym packages.
  * Bump Debhelper compat level to 12.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 22 Oct 2023 18:33:14 +0200

libspf2 (1.2.10-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * no-libreplace.patch: disable libreplace which is not needed anymore and
    causes build failures with glibc 2.34 (Closes: #1016821).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Aug 2022 23:05:37 +0200

libspf2 (1.2.10-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * spf_compile.c: Correct size of ds_avail (CVE-2021-20314)
  * Sanity check for sprintf
  * Fixed 'reverse' macro modifier

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 08 Aug 2021 13:46:49 +0200

libspf2 (1.2.10-7) unstable; urgency=low

  * error_results.patch: Return information to use in the mail header and
    such when no or multiple SPF records exist (Closes: #806313). Thanks
    to Sebastian Schweizer <sebastian@schweizer.tel>.
  * Bump Standards-Version to 3.9.7.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 25 Mar 2016 17:51:50 +0100

libspf2 (1.2.10-6) unstable; urgency=medium

  * gcc5-variadicmacros.patch: Fix syntax error with variadic macro with
    no variable argument when compiling with GCC 5 (Closes: #777974).
  * Rearrange debian/copyright to comply with the machine-readable format
    specification.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 25 Jun 2015 22:26:05 +0200

libspf2 (1.2.10-5) unstable; urgency=low

  * abolish-spf-rrtype.patch: Stop trying to look up the dedicated SPF DNS
    RR type, which was abolished by RFC 7208 (Closes: #764533).
  * Bump Standards-Version to 3.9.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 12 Oct 2014 21:18:33 +0200

libspf2 (1.2.10-4) unstable; urgency=low

  * Upgrade to Debhelper compat level 9, in order to:
  * Handle variable vendorarch installation directory (Closes: #752712),
    by making debian/libmail-spf-xs-perl.install executable.
  * Bump Standards-Version to 3.9.5.
  * debian/rules: Update URL in get-orig-source target (a year late).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 05 Jul 2014 22:19:51 +0200

libspf2 (1.2.10-3) unstable; urgency=low

  * Merge changes from Ubuntu (Closes: #734224).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 01 Feb 2014 14:51:57 +0100

libspf2 (1.2.10-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Fri, 03 Jan 2014 15:56:24 -0500

libspf2 (1.2.10-2) unstable; urgency=low

  * Convert debian/copyright to machine-readable format and update
    copyright info including details on files in src/libreplace.
  * debian/spfquery.libspf2.1: Change license to 2-clause BSD, as was
    intended from the beginning.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 12 Aug 2013 12:07:40 +0200

libspf2 (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * Drop ipv6-bugs.patch and private-glibc-functions.patch; incorporated
    upstream.
  * Hide additional internal symbols from the dynamic table.
  * Build and include the Perl XS module.
  * Bump Standards-Version to 3.9.4.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 13 Jun 2013 23:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libspf2
-Priority: optional
 Section: libs
-Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), autotools-dev
-Standards-Version: 3.8.3
-Vcs-Svn: svn://svn.kibibyte.se/libspf2/trunk
-Vcs-Browser: http://svn.kibibyte.se/libspf2
-Homepage: http://www.libspf2.org/
+Maintainer: Bastian Germann <bage@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
+ perl, perl-xs-dev, libstring-escape-perl
+Standards-Version: 3.9.7
+Homepage: https://www.libspf2.net
 
-Package: libspf2-2
-Section: libs
+Package: libspf2-2t64
+Provides: ${t64:Provides}
+Breaks: libspf2-2 (<< ${source:Version})
 Architecture: any
 Conflicts: libspf2-0
-Replaces: libspf2-0
+Replaces: libspf2-2, libspf2-0
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for validating mail senders with SPF
  libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
@@ -25,7 +24,7 @@
 Package: libspf2-dev
 Section: libdevel
 Architecture: any
-Depends: libspf2-2 (= ${binary:Version}), ${misc:Depends}
+Depends: libspf2-2t64 (= ${binary:Version}), ${misc:Depends}
 Description: Header and development libraries for libspf2
  libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
  protocol pair. libspf2 is a library which allows email systems such
@@ -33,18 +32,8 @@
  records and make sure that the email is authorized by the domain name
  that it is coming from. This prevents email forgery, commonly used by
  spammers, scammers and email viruses/worms.
-
-Package: libspf2-2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libspf2-2 (= ${binary:Version}) | spfquery (= ${binary:Version}),
-	 ${misc:Depends}
-Description: library for validating mail senders with SPF (debugging symbols)
- libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
- protocol pair.
  .
- This package contains the debugging symbols.
+ This package contains the headers and development libraries.
 
 Package: spfquery
 Section: mail
@@ -61,3 +50,17 @@
  .
  This package contains simple utilities that use libspf2 to test and 
  query SPF records.
+
+Package: libmail-spf-xs-perl
+Section: perl
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libstring-escape-perl
+Description: library for validating mail senders with SPF - Perl bindings
+ libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
+ protocol pair. libspf2 is a library which allows email systems such
+ as Sendmail, Postfix, Exim, Zmailer and MS Exchange to check SPF
+ records and make sure that the email is authorized by the domain name
+ that it is coming from. This prevents email forgery, commonly used by
+ spammers, scammers and email viruses/worms.
+ .
+ This package provides an XS module for using libspf from Perl programs.

=== debian/rules ===
#!/usr/bin/make -f

SOURCE_PACKAGE = libspf2
LIB_PACKAGE = libspf2-2t64

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  buildflags := --build=$(DEB_BUILD_GNU_TYPE)
else
  buildflags := --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
perlld := $(shell perl -MConfig -e 'print $$Config{ld}')

DEB_LDFLAGS_MAINT_APPEND = -Wl,--version-script=$(CURDIR)/debian/libspf2.ver
buildflags += $(shell DEB_LDFLAGS_MAINT_APPEND="$(DEB_LDFLAGS_MAINT_APPEND)" \
 dpkg-buildflags --export=configure)

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	dh_autoreconf
	./configure --prefix=/usr $(buildflags)

build: build-arch
build-indep:
build-arch: build-arch-stamp
build-arch-stamp: config.status
	dh_testdir

	$(MAKE) 
	cd perl && perl Makefile.PL INSTALLDIRS=vendor \
	  OPTIMIZE="$(CPPFLAGS) $(CFLAGS)" LD="$(perlld) $(CFLAGS) $(LDFLAGS)"
	$(MAKE) -C perl LD_RUN_PATH=

	touch "$@"

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f perl/Makefile ] || $(MAKE) -C perl realclean

	dh_autoreconf_clean
	dh_clean

install: build-arch
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C perl install DESTDIR=$(CURDIR)/debian/tmp

binary-arch: install
	dh_testdir
	dh_testroot
	dh_install -a
#	Rename the `spfquery` tool for the alternatives system:
	mv debian/spfquery/usr/bin/spfquery debian/spfquery/usr/bin/spfquery.$(SOURCE_PACKAGE)
	mv debian/spfquery/usr/sbin/spfd debian/spfquery/usr/sbin/spfd.$(SOURCE_PACKAGE)
	dh_installdocs -a --link-doc=$(LIB_PACKAGE)
	dh_installchangelogs -a
	dh_installman -a
	dh_fixperms -a
	dh_strip -a --dbgsym-migration="$(LIB_PACKAGE)-dbg (<< 1.2.10-8)"
	dh_perl -a
	dh_compress -a
	dh_makeshlibs -V '$(LIB_PACKAGE) (>= 1.2.8~)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch

.PHONY: build build-indep build-arch clean clean-patched binary-indep binary-arch binary install

=== debian/watch ===
version=4

opts=dversionmangle=s/\.dfsg$// https://www.libspf2.net/download.html spf/libspf2-(.+)\.tar\.gz
